export default function setTaehuiStore() {
  return {
    wantInput: "",
    wantVariety: "essay",
    titleViewHeight: 0,
    avatarViewHeight: 0,

    setWantInput(wantInput: string) {
      this.wantInput = wantInput;
    },

    setWantVariety(wantVariety: string) {
      this.wantVariety = wantVariety;
    },

    setTitleViewHeight(titleViewHeight: number) {
      this.titleViewHeight = titleViewHeight;
    },

    setAvatarViewHeight(avatarViewHeight: number) {
      this.avatarViewHeight = avatarViewHeight;
    },
  };
}
